<template>
  <div class="footer" :class="{stop: !status}" @click="onClick" >
      {{footer}}
  </div>
</template>

<script type="text/ecmascript-6">
    export default {
      data(){
        return {
        }
      },
      props:{
        status:{
          default(){
            return true;
          }
        },
        footer:{
          default(){
            return '底部栏';
          }
        }
      },
      methods:{
        onClick(){
          if(this.status){
            this.$emit("footerEmit");
          }
        }
      }
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style  lang="scss"  type="text/scss" scoped >
    .footer{
      background-color: #C98E52;
      font-size: 0.32rem;
      color: #fff;
      text-align: center;
      height: 0.76rem;
      line-height: 0.76rem;
      margin: 0 0.3rem;
      border-radius: 0.1rem;
    }
    .stop{
      background-color: #E4C6A8;
    }
</style>
